## xzgv 0.7

=== Makefile ===
# top-level Makefile for xzgv

# -----------------------------------------
# >>> NB: if you're looking to edit this to
# configure xzgv, edit `config.mk' instead.
# -----------------------------------------


# The main targets of interest are:
#
# all		the default; make everything except info
#		(it warns if the info is out of date, though)
# info		make info (requires texinfo's `makeinfo')
# install	install everything
# uninstall	can't imagine what use you could possibly have for this :^)
# clean		clean up
#
# tgz		make distribution tar.gz


# version number, needed for distrib-making stuff below.
#
VERS=0.7



all: src man infowarn

src: xzgv src/install-info

# We try this the whole time, as the dependancies are a bit
# complicated to duplicate here.
xzgv:
	cd src && $(MAKE) xzgv

src/install-info: src/install-info.c
	cd src && $(MAKE) install-info

man: doc/xzgv.1

doc/xzgv.1: doc/xzgv.texi doc/makeman.awk
	cd doc && $(MAKE) xzgv.1

# Like in GNU stuff, info files aren't automatically remade,
# as I don't want to assume everyone has texinfo's `makeinfo' handy.
# So the `infowarn' below is mainly to warn me if the info gets
# out of date. :-)
info: doc/xzgv.gz

doc/xzgv.gz: doc/xzgv.texi
	cd doc && $(MAKE) info

# Warn if the info is out of date. This *is* automatically done.
# It's a bit kludgey though, using doc/xzgv-1.gz... :-)
infowarn: doc/xzgv-1.gz

doc/xzgv-1.gz: doc/xzgv.texi
	@echo '================================================'
	@echo 'WARNING: info files out of date, do "make info"!'
	@echo '================================================'


clean:
	cd src && $(MAKE) clean
	cd doc && $(MAKE) clean
	$(RM) *~

install: all
	cd src && $(MAKE) install
	cd doc && $(MAKE) install

uninstall:
	cd src && $(MAKE) uninstall
	cd doc && $(MAKE) uninstall


# The stuff below makes the distribution tgz.

dist: tgz
tgz: ../xzgv-$(VERS).tar.gz
  
# Based on the example in ESR's Software Release Practice HOWTO.
#
../xzgv-$(VERS).tar.gz: info man clean
	$(RM) ../xzgv-$(VERS)
	@cd ..;ln -s xzgv xzgv-$(VERS)
	cd ..;tar zchvf xzgv-$(VERS).tar.gz xzgv-$(VERS)
	@cd ..;$(RM) xzgv-$(VERS)

=== doc/Makefile ===
# Makefile for xzgv docs
#
# Only info version is made by default, do `make dvi' to make a .dvi
# file.


# This gets definitions for INFODIR, MANDIR, etc.
include ../config.mk


all: info man

info: xzgv.gz
dvi: xzgv.dvi

xzgv.gz: xzgv.texi
	makeinfo xzgv.texi
	gzip -f xzgv xzgv-?

# `-c' removes the huge number of associated files created by TeX.
# This saves doing a `make clean' from hell. :-)
xzgv.dvi: xzgv.texi
	@echo "=== NB: If you don't want A4 paper, edit config.mk! ==="
	texi2dvi -c $(USE_A4_DEF) xzgv.texi

# This explicitly mentions `gawk' because makeman requires it
# (and can't easily be made not to, since it really does need gensub).
# To avoid problems on gawkless systems, a prebuilt xzgv.1 is included
# in the source tgz.
#
man: xzgv.1
xzgv.1: xzgv.texi makeman.awk
	@echo 'Making man page from xzgv.texi...'
	gawk -f makeman.awk <xzgv.texi >xzgv.1

installdirs:
	/bin/sh ../mkinstalldirs $(INFODIR) $(MANDIR)

install: ../src/install-info installdirs
	install xzgv.1 $(MANDIR)
	install xzgv.gz xzgv-?.gz $(INFODIR)
	chmod 644 $(MANDIR)/xzgv.1 $(INFODIR)/xzgv*
# Update info `dir' file.
# Info always uses a dir file in preference to a dir.gz, so we don't use
# dir.gz unless it's the only game in town.
	if [ "$(INFO_DIR_UPDATE)" != no ]; then \
	  gzip -d xzgv.gz; \
	  if [ -f $(INFODIR)/dir.gz -a ! -f $(INFODIR)/dir ]; then \
	    gzip -d $(INFODIR)/dir.gz; \
	    ../src/install-info xzgv $(INFODIR)/dir; \
	    gzip $(INFODIR)/dir; \
	  else \
	    ../src/install-info xzgv $(INFODIR)/dir; \
	  fi; \
	  chmod a+r $(INFODIR)/dir; \
	  gzip xzgv; \
	fi

../src/install-info: ../src/install-info.c
	cd ../src && $(MAKE) install-info

# can't easily fix dir :-/, but do remove the files.
uninstall:
	$(RM) $(MANDIR)/xzgv.1
	$(RM) $(INFODIR)/{xzgv.gz,xzgv-?.gz}

# This *doesn't* remove the Info files, which should stick around to
# be included in the distribution. Ditto for the man page, since
# building it requires gawk.
clean:
	$(RM) *~ xzgv.dvi

## xzgv 0.8

=== Makefile ===
--- 
+++ 
@@ -20,7 +20,7 @@
 
 # version number, needed for distrib-making stuff below.
 #
-VERS=0.7
+VERS=0.8

=== src/libmmx-990416/Makefile ===
## The following targets are defined ##########################################
#	all (default)		Make "examples install".
#
#	examples		Make and run the Examples/testit application.
#	install			Install the header file (via cp) to the install
#				directory defined below.
#
#	uninstall		Uninstall the header file from the install
#				directory defined below.


## Install Directories and Options ############################################
# These should be edited for your system...

# INCDIR is where the makefile will install/uninstall the user header file
# "mmx.h".
INCDIR=/usr/local/include

# Set this to your compiler, or override on the make command line.
CC=/usr/bin/gcc

# Set this to your C preprocessor, or override on the make command line.
CPP=/usr/bin/cpp

# I claim that a C preprocessor is more generally useful tool than one might
# suspect, and should therefore be available as /usr/bin/cpp.  However, some
# systems are guilty of hiding it (e.g. Red Hat Linux), so here is an
# alternative:
#CPP=/usr/bin/gcc -E

# Compiling with MMX_TRACE defined will cause each libmmx function to print
# debugging information.
#  Uncomment one of the following two lines:
CPPFLAGS=
#CPPFLAGS=-DMMX_TRACE



## DO NOT CHANGE ANYTHING BELOW THIS LINE #####################################

all: examples install

examples: mmxtest.s
	${CC} -Wall -O -o mmxtest mmxtest.s

mmxtest.s: mmxtest.i
	${CC} -Wall -O -S mmxtest.i

mmxtest.i: mmx.h mmxtest.c
	${CPP} -Wall ${CPPFLAGS} mmxtest.c > mmxtest.i

install:
	mkdir -p ${INCDIR}
	cp mmx.h ${INCDIR}

uninstall:
	rm -f ${INCDIR}/mmx.h

clean:
	rm -f mmxtest core

distclean: clean
	rm -f mmxtest.s mmxtest.i

## xzgv 0.9+svn34

=== Makefile ===
# top-level Makefile for xzgv

# -----------------------------------------
# >>> NB: if you're looking to edit this to
# configure xzgv, edit `config.mk' instead.
# -----------------------------------------


# The main targets of interest are:
#
# all		the default; make everything except info
# info		make info (requires texinfo's `makeinfo')
# install	install everything
# uninstall	can't imagine what use you could possibly have for this :^)
# clean		clean up
#
# tgz		make distribution tar.gz


# version number, needed for distrib-making stuff below.
#
VERS=0.9



all: src man

src: xzgv

# We try this the whole time, as the dependancies are a bit
# complicated to duplicate here.
xzgv:
	cd src && $(MAKE) xzgv

src/install-info: src/install-info.c
	cd src && $(MAKE) install-info

man: doc/xzgv.1

doc/xzgv.1: doc/xzgv.texi doc/makeman.awk
	cd doc && $(MAKE) xzgv.1

# Like in GNU stuff, info files aren't automatically remade,
# as I don't want to assume everyone has texinfo's `makeinfo' handy.
info: doc/xzgv.gz

doc/xzgv.gz: doc/xzgv.texi
	cd doc && $(MAKE) info

clean:
	cd src && $(MAKE) clean
	cd doc && $(MAKE) clean
	$(RM) *~

install: all
	cd src && $(MAKE) install
	cd doc && $(MAKE) install

uninstall:
	cd src && $(MAKE) uninstall
	cd doc && $(MAKE) uninstall


# The stuff below makes the distribution tgz.

dist: ../xzgv-$(VERS).tar.gz

# Based on the example in ESR's Software Release Practice HOWTO.
#
../xzgv-$(VERS).tar.gz: info man clean
	$(RM) ../xzgv-$(VERS)
	@cd ..;ln -s xzgv xzgv-$(VERS)
	cd ..;tar zchf xzgv-$(VERS).tar.gz --exclude=.svn xzgv-$(VERS)
	@cd ..;$(RM) xzgv-$(VERS)

=== doc/Makefile ===
# Makefile for xzgv docs
#
# Only info version is made by default, do `make dvi' to make a .dvi
# file.


# This gets definitions for INFODIR, MANDIR, etc.
include ../config.mk


all: info man

info: xzgv.gz
dvi: xzgv.dvi

xzgv.gz: xzgv.texi
	makeinfo xzgv.texi
	gzip -f xzgv

# `-c' removes the huge number of associated files created by TeX.
# This saves doing a `make clean' from hell. :-)
xzgv.dvi: xzgv.texi
	@echo "=== NB: If you don't want A4 paper, edit config.mk! ==="
	texi2dvi -c $(USE_A4_DEF) xzgv.texi

# This explicitly mentions `gawk' because makeman requires it
# (and can't easily be made not to, since it really does need gensub).
# To avoid problems on gawkless systems, a prebuilt xzgv.1 is included
# in the source tgz.
#
man: xzgv.1
xzgv.1: xzgv.texi makeman.awk
	@echo 'Making man page from xzgv.texi...'
	LANG= gawk -f makeman.awk <xzgv.texi >xzgv.1

installdirs:
	/bin/sh ../mkinstalldirs $(INFODIR) $(MANDIR)

install: installdirs
	install xzgv.1 $(MANDIR)
	install xzgv.gz $(INFODIR)
	install-info  --infodir=$(INFODIR) xzgv.gz

uninstall:
	$(RM) $(MANDIR)/xzgv.1
	$(RM) $(INFODIR)/xzgv.gz
	install-info --remove xzgv

# This *doesn't* remove the Info files, which should stick around to
# be included in the distribution. Ditto for the man page, since
# building it requires gawk.
clean:
	$(RM) *~ xzgv.dvi

=== src/Makefile ===
# src Makefile for xzgv

# --------------------------------------------
# >>> NB: if you're looking to edit this to
# configure xzgv, edit `../config.mk' instead.
# --------------------------------------------


# This gets definitions for CC, CFLAGS, BINDIR etc.
include ../config.mk

CFLAGS+=`pkg-config --cflags gtk+-2.0` `pkg-config --cflags gdk-pixbuf-2.0`
LDFLAGS+=`pkg-config --libs gtk+-2.0` `pkg-config --libs gdk-pixbuf-2.0`

all: xzgv

OBJS=	main.o \
	filedetails.o gotodir.o updatetn.o confirm.o help.o \
	copymove.o rename.o \
	resizepic.o dither.o \
	rcfile.o misc.o \
	getopt.o getopt1.o \
	backend.o

xzgv: $(OBJS)
	$(CC) $(LDFLAGS) -o xzgv $(OBJS)

installdirs:
	/bin/sh ../mkinstalldirs $(BINDIR)

install: xzgv installdirs
	install xzgv $(BINDIR)
	chmod 755 $(BINDIR)/xzgv

uninstall:
	$(RM) $(BINDIR)/xzgv

clean:
	$(RM) *~ *.o xzgv
	$(RM) rcfile_opt.h rcfile_var.h rcfile_short.h


# dependancies
backend.o: backend.c backend.h
confirm.o: confirm.c backend.h main.h confirm.h
copymove.o: copymove.c backend.h main.h copymove.h
dither.o: dither.c dither.h
filedetails.o: filedetails.c backend.h main.h filedetails.h
getopt.o: getopt.c
getopt1.o: getopt1.c getopt.h
gotodir.o: gotodir.c backend.h main.h gotodir.h
help.o: help.c backend.h main.h rcfile.h help.h
main.o: main.c backend.h resizepic.h rcfile.h filedetails.h gotodir.h \
 updatetn.h confirm.h misc.h copymove.h rename.h help.h dir_icon.xpm \
 dir_icon_small.xpm file_icon.xpm file_icon_small.xpm \
 icon-48.xpm main.h
misc.o: misc.c misc.h
rcfile.o: rcfile.c getopt.h rcfile.h rcfile_opt.h rcfile_var.h \
 rcfile_short.h
rename.o: rename.c backend.h main.h rename.h
resizepic.o: resizepic.c resizepic.h
updatetn.o: updatetn.c backend.h main.h rcfile.h dither.h resizepic.h \
 confirm.h misc.h updatetn.h

# more involved dependancy stuff
rcfile_opt.h rcfile_var.h rcfile_short.h: options.src mkopts.awk
	$(AWK) -f mkopts.awk <options.src

loc:
	sloccount *.c *.h

## xzgv 0.9+svn40

=== Makefile ===
--- 
+++ 
@@ -42,14 +42,19 @@
 
 # Like in GNU stuff, info files aren't automatically remade,
 # as I don't want to assume everyone has texinfo's `makeinfo' handy.
-info: doc/xzgv.gz
+info: doc/xzgv.info.gz
 
-doc/xzgv.gz: doc/xzgv.texi
+doc/xzgv.info.gz: doc/xzgv.texi
 	cd doc && $(MAKE) info
 
 clean:
 	cd src && $(MAKE) clean
 	cd doc && $(MAKE) clean
+	$(RM) *~
+
+realclean:
+	cd src && $(MAKE) realclean
+	cd doc && $(MAKE) realclean
 	$(RM) *~
 
 install: all

## xzgv 0.9.1

=== Makefile ===
--- 
+++ 
@@ -19,7 +19,7 @@
 
 # version number, needed for distrib-making stuff below.
 #
-VERS=0.9
+VERS=0.9.1
 
 
 
@@ -72,7 +72,7 @@
 
 # Based on the example in ESR's Software Release Practice HOWTO.
 #
-../xzgv-$(VERS).tar.gz: info man clean
+../xzgv-$(VERS).tar.gz: info man realclean
 	$(RM) ../xzgv-$(VERS)
 	@cd ..;ln -s xzgv xzgv-$(VERS)
 	cd ..;tar zchf xzgv-$(VERS).tar.gz --exclude=.svn xzgv-$(VERS)

=== doc/Makefile ===
--- 
+++ 
@@ -10,12 +10,12 @@
 
 all: info man
 
-info: xzgv.gz
+info: xzgv.info.gz
 dvi: xzgv.dvi
 
-xzgv.gz: xzgv.texi
-	makeinfo xzgv.texi
-	gzip -f xzgv
+xzgv.info.gz: xzgv.texi
+	makeinfo --no-split xzgv.texi
+	gzip -9f xzgv.info
 
 # `-c' removes the huge number of associated files created by TeX.
 # This saves doing a `make clean' from hell. :-)
@@ -38,16 +38,20 @@
 
 install: installdirs
 	install xzgv.1 $(MANDIR)
-	install xzgv.gz $(INFODIR)
-	install-info  --infodir=$(INFODIR) xzgv.gz
+	install -m 644 xzgv.info.gz $(INFODIR)
+	install-info --infodir=$(INFODIR) xzgv.info.gz
 
 uninstall:
 	$(RM) $(MANDIR)/xzgv.1
 	$(RM) $(INFODIR)/xzgv.gz
-	install-info --remove xzgv
+	install-info --remove xzgv.info.gz
 
 # This *doesn't* remove the Info files, which should stick around to
 # be included in the distribution. Ditto for the man page, since
 # building it requires gawk.
 clean:
 	$(RM) *~ xzgv.dvi
+
+realclean: clean
+	$(RM) xzgv.1 xzgv.info.gz
+

=== src/Makefile ===
--- 
+++ 
@@ -39,6 +39,7 @@
 	$(RM) *~ *.o xzgv
 	$(RM) rcfile_opt.h rcfile_var.h rcfile_short.h
 
+realclean: clean
 
 # dependancies
 backend.o: backend.c backend.h

=== debian/changelog ===
xzgv (0.9.1-4) unstable; urgency=medium

  * Make the build be reproducible (Closes: #777274)
  * Replace menu file with a desktop file (Closes: #734436)
  * Update Debian Policy Standards Version to 3.9.8

 -- Theodore Y. Ts'o <tytso@mit.edu>  Sun, 14 Aug 2016 23:13:49 -0400

xzgv (0.9.1-3) unstable; urgency=medium

  * Fix RC bug; need dummy prerm file to allow clean upgrade from wheezy
    (Closes: #726800)
  * Update Debian Policy Standards Version to 3.9.5

 -- Theodore Y. Ts'o <tytso@mit.edu>  Wed, 01 Jan 2014 11:42:29 -0500

xzgv (0.9.1-2) unstable; urgency=low

  * Add build dependency on install-info (Closes: #719375)
  * Tighten up package description (Closes: #600415)

 -- Theodore Y. Ts'o <tytso@mit.edu>  Sun, 13 Oct 2013 20:31:28 -0400

xzgv (0.9.1-1) unstable; urgency=low

  * New upstream version
  * Fix bug which caused xzgv to crash when adjusting the scaling using
    the 's' or 'd' keys when no image is being displayed.  (Closes: #498033)
  * Link all libraries needed explicitly so we successfully link using
    the binutils-gold linker.  (Closes: #713586, #556765)

 -- Theodore Y. Ts'o <tytso@mit.edu>  Wed, 26 Jun 2013 21:47:00 -0400

xzgv (0.9+svn40-1) unstable; urgency=low

  * Fix xzgv crashing on thumbnail files.  (Closes: #457252)
  * Update home page in package description to the Sourceforge project
  * Install mailcap entries (Closes: #167445)
  * Update Debian Policy Standards Version to 3.8.0.0

 -- Theodore Y. Ts'o <tytso@mit.edu>  Fri, 11 Jul 2008 20:22:31 -0400

xzgv (0.9+svn34-1) unstable; urgency=low

  * New upstream release.  (Closes: #444686, #408841, #456826)
  * This version of xzgv no longer uses GTK+ and imlib, but rather GTK 2
      with gdk-pixbuf as the rendering back-end.  As a result, Gamma,
      brightness, contrast, and EXIF-orientation are currently
      unsupported.  (Closes: #456138)

 -- Theodore Y. Ts'o <tytso@mit.edu>  Tue, 18 Dec 2007 09:06:26 -0500

xzgv (0.8-5) unstable; urgency=low

  * Build against gdk-imlib11-dev (Closes: #333047)

 -- Theodore Y. Ts'o <tytso@mit.edu>  Sun, 13 Nov 2005 00:14:33 -0500

xzgv (0.8-4) unstable; urgency=low

  * Build against libpng 1.2.

 -- Theodore Y. Ts'o <tytso@mit.edu>  Wed, 15 Jun 2005 01:33:52 -0400

xzgv (0.8-3) unstable; urgency=high

  * Applied security fix to prevent buffer overruns from:
    http://www.svgalib.org/rus/zgv/zgv-5.8-integer-overflow-fix.diff
    Addresses vulnerability: CAN-2004-0994  (Closes: #284127)

 -- Theodore Y. Ts'o <tytso@mit.edu>  Mon, 13 Dec 2004 12:23:47 -0500

xzgv (0.8-2) unstable; urgency=medium

  * Update to use libtiff4 instead of libtiff3 in order to avoid
    compatibility problems caused by accidental ABI changes in libtiff
    version 3.5.7; sarge will not contain libtiff.so.3 for this reason.
  * Fix quoting problems in debian/menu.

 -- Theodore Y. Ts'o <tytso@mit.edu>  Fri, 30 Jul 2004 20:08:23 -0400

xzgv (0.8-1) unstable; urgency=low

  * New upstream release.

 -- Theodore Y. Ts'o <tytso@mit.edu>  Thu,  9 Oct 2003 07:09:32 -0400

xzgv (0.7-15) unstable; urgency=low

  * New maintainer.

 -- Theodore Y. Ts'o <tytso@mit.edu>  Sat, 12 Jul 2003 01:42:39 -0400

xzgv (0.7-14) unstable; urgency=low

  * Fix multiline literal FTBFS.   (Closes: #196541)

 -- Chris Lawrence <lawrencc@debian.org>  Mon, 23 Jun 2003 06:08:09 -0500

xzgv (0.7-13) unstable; urgency=low

  * Revert back to libpng2-dev and libgdk-imlib1-dev.
    Remember, kids, it's all fun and games until someone gets hurt.
    (Closes: #167134) [severity-inflated]

 -- Chris Lawrence <lawrencc@debian.org>  Thu, 31 Oct 2002 13:46:21 -0600

xzgv (0.7-12) unstable; urgency=low

  * Fix problem with rendering non-ASCII characters in the image browser.
    (Closes: #157186)

 -- Chris Lawrence <lawrencc@debian.org>  Fri, 23 Aug 2002 15:07:46 -0500

xzgv (0.7-11) unstable; urgency=low

  * Add build dependencies on libjpeg62-dev and libtiff3g-dev.

 -- Chris Lawrence <lawrencc@debian.org>  Thu, 22 Aug 2002 22:30:23 -0500

xzgv (0.7-10) unstable; urgency=low

  * Transition to libpng3 (new imlib).

 -- Chris Lawrence <lawrencc@debian.org>  Wed, 21 Aug 2002 13:42:27 -0500

xzgv (0.7-9) unstable; urgency=low

  * Add explicit build dependency on libpng2-dev; for some reason, it
    isn't being pulled in on some architectures' build daemons.

 -- Chris Lawrence <lawrencc@debian.org>  Wed, 10 Jul 2002 14:19:15 -0500

xzgv (0.7-8) unstable; urgency=low

  * Fix bug with middle mouse button in file selector.  (Closes: #151788)
    Thanks to Russell Marks for the patch.
  * Note in xzgv.texi which options aren't accepted in the .xzgvrc file,
    based on comments in the file.  (Closes: #151787)

 -- Chris Lawrence <lawrencc@debian.org>  Tue,  9 Jul 2002 14:09:32 -0500

xzgv (0.7-7) unstable; urgency=low

  * Spawn x-terminal-emulator when reading help, rather than xterm.
    (Closes: #151738)
  * Add icon to menu entry.

 -- Chris Lawrence <lawrencc@debian.org>  Tue,  2 Jul 2002 22:29:26 -0500

xzgv (0.7-6) unstable; urgency=high

  * Update build dependencies.  (Closes: #136067)
  * Rebuild against latest libpng.  (Closes: #136065)

 -- Chris Lawrence <lawrencc@debian.org>  Wed, 27 Feb 2002 10:20:05 -0600

xzgv (0.7-5) unstable; urgency=low

  * Include patch from upstream to fix segfaults with some corrupted
    JPEGs.
  * Rebuild against new libpng.

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 13 Jan 2002 19:18:05 -0600

xzgv (0.7-4) unstable; urgency=low

  * Clean up info file registration.  (Closes: #122461)

 -- Chris Lawrence <lawrencc@debian.org>  Thu, 13 Dec 2001 23:10:41 -0600

xzgv (0.7-3) unstable; urgency=low

  * Added menu hint "Images."  (Closes: #121033)

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 25 Nov 2001 00:32:22 -0600

xzgv (0.7-2) unstable; urgency=low

  * Add build dependency on texinfo.  (Closes: #98881)

 -- Chris Lawrence <lawrencc@debian.org>  Fri,  1 Jun 2001 22:47:40 -0500

xzgv (0.7-1) unstable; urgency=low

  * New upstream release.


=== debian/control ===
Source: xzgv
Section: graphics
Priority: optional
Maintainer: Theodore Y. Ts'o <tytso@mit.edu>
Build-Depends: debhelper (>= 5), gawk, libgtk2.0-dev, texinfo, install-info
Standards-Version: 3.9.8

Package: xzgv
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Picture viewer for X with a thumbnail-based selector
 xzgv is a picture viewer for X, with a thumbnail-based file selector.
 Most file formats are supported, and the thumbnails used are
 compatible with xv, zgv, and the Gimp. It can also be used with `xzgv
 file(s)', to effectively bypass the file selector.
 .
 xzgv differs from other picture viewers for X in that it uses one
 window for both the file selector and viewer, it (unlike xv) allows
 both scrolling and fit-to-window methods of viewing large pictures,
 and it (unlike xv and some others) doesn't ever mangle the picture's
 aspect ratio.
 .
 It also provides extensive keyboard support; if you prefer using the
 keyboard, this is almost certainly the best viewer for you. But it
 doesn't skimp on the mousey stuff, either.
 .
 Note that this program is written by the author of the svgalib-based
 "zgv", and has similar features.
 .
 Home Page: http://sourceforge.net/projects/xzgv

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PATH=/bin:/usr/bin:/usr/sbin

CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

CFLAGS += `pkg-config --cflags gtk+-2.0` `pkg-config --cflags gdk-pixbuf-2.0` \
	`pkg-config --cflags x11`
LDFLAGS += -lgtk-x11-2.0 -lgdk-x11-2.0 -lgdk_pixbuf-2.0 -lm -lgobject-2.0 -lglib-2.0 -lgdk_pixbuf-2.0 -lm -lgobject-2.0 -lglib-2.0 -lX11 -lm

configure: debian/configure-stamp
debian/configure-stamp:
	dh_testdir

	# xzgv doesn't use configure

	touch debian/configure-stamp


build: build-arch build-indep

build-arch: debian/build-arch-stamp
debian/build-arch-stamp: debian/configure-stamp
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) CFLAGS="$(CPPFLAGS) $(CFLAGS)" LDFLAGS="$(LDFLAGS)" GZIP=-9n all info

	touch $@

build-indep: debian/build-indep-stamp
debian/build-indep-stamp: debian/configure-stamp
	#docbook-to-man debian/xzgv.sgml > xzgv.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f debian/*-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) realclean
	rm -rf `find . -type d -name .xvpics`

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/xzgv.
	$(MAKE) install PREFIX=$(CURDIR)/debian/xzgv/usr INFODIR=$(CURDIR)/debian/xzgv/usr/share/info MANDIR=$(CURDIR)/debian/xzgv/usr/share/man/man1 INFO_DIR_UPDATE=no
	cp $(CURDIR)/debian/xzgv.xpm $(CURDIR)/debian/xzgv/usr/share/pixmaps
	mkdir -p $(CURDIR)/debian/xzgv/usr/share/applications
	cp $(CURDIR)/debian/xzgv.desktop \
		$(CURDIR)/debian/xzgv/usr/share/applications
	chmod 644 $(CURDIR)/debian/xzgv/usr/share/applications/xzgv.desktop
	for i in $(CURDIR)/debian/xzgv-*.png ; do \
		a=$$(basename $$i | sed -e 's/xzgv-//' -e 's/.png//') ; \
		d=$(CURDIR)/debian/xzgv/usr/share/icons/hicolor/$${a}x$${a}/apps ; \
		echo installing $$d ; \
		mkdir -p $$d ; \
		cp $$i $$d/xzgv.png ; \
		chmod 644 $$d/xzgv.png ; \
	done
	rm -f $(CURDIR)/debian/xzgv/usr/share/info/dir*


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
	dh_installinfo $(CURDIR)/doc/xzgv.info.gz
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## xzgv 0.9.2

=== Makefile ===
--- 
+++ 
@@ -19,7 +19,7 @@
 
 # version number, needed for distrib-making stuff below.
 #
-VERS=0.9.1
+VERS=0.9.2

=== doc/Makefile ===
--- 
+++ 
@@ -1,17 +1,13 @@
 # Makefile for xzgv docs
-#
-# Only info version is made by default, do `make dvi' to make a .dvi
-# file.
-
 
 # This gets definitions for INFODIR, MANDIR, etc.
 include ../config.mk
 
 
-all: info man
+all: info man pdf
 
 info: xzgv.info.gz
-dvi: xzgv.dvi
+pdf: xzgv.pdf
 
 xzgv.info.gz: xzgv.texi
 	makeinfo --no-split xzgv.texi
@@ -19,9 +15,9 @@
 
 # `-c' removes the huge number of associated files created by TeX.
 # This saves doing a `make clean' from hell. :-)
-xzgv.dvi: xzgv.texi
+xzgv.pdf: xzgv.texi
 	@echo "=== NB: If you don't want A4 paper, edit config.mk! ==="
-	texi2dvi -c $(USE_A4_DEF) xzgv.texi
+	texi2pdf -c $(USE_A4_DEF) xzgv.texi
 
 # This explicitly mentions `gawk' because makeman requires it
 # (and can't easily be made not to, since it really does need gensub).
@@ -50,7 +46,7 @@
 # be included in the distribution. Ditto for the man page, since
 # building it requires gawk.
 clean:
-	$(RM) *~ xzgv.dvi
+	$(RM) *~ xzgv.pdf
 
 realclean: clean
 	$(RM) xzgv.1 xzgv.info.gz

=== src/Makefile ===
--- 
+++ 
@@ -9,8 +9,10 @@
 # This gets definitions for CC, CFLAGS, BINDIR etc.
 include ../config.mk
 
-CFLAGS+=`pkg-config --cflags gtk+-2.0` `pkg-config --cflags gdk-pixbuf-2.0`
-LDFLAGS+=`pkg-config --libs gtk+-2.0` `pkg-config --libs gdk-pixbuf-2.0`
+CFLAGS+=`pkg-config --cflags gtk+-2.0` `pkg-config --cflags gdk-pixbuf-2.0` \
+	`pkg-config --cflags x11` `pkg-config --cflags libexif`
+LDFLAGS+=`pkg-config --libs gtk+-2.0` `pkg-config --libs gdk-pixbuf-2.0` \
+	`pkg-config --libs x11` `pkg-config --libs libexif` -lm
 
 all: xzgv
 
@@ -23,7 +25,7 @@
 	backend.o
 
 xzgv: $(OBJS)
-	$(CC) $(LDFLAGS) -o xzgv $(OBJS)
+	$(CC) -o xzgv $(OBJS) $(LDFLAGS)
 
 installdirs:
 	/bin/sh ../mkinstalldirs $(BINDIR)
@@ -31,9 +33,18 @@
 install: xzgv installdirs
 	install xzgv $(BINDIR)
 	chmod 755 $(BINDIR)/xzgv
+	install xzgv.desktop $(DESKTOPDIR1)
+	install xzgv.desktop $(DESKTOPDIR2)
+	install icon-64.xpm $(PIXMAPDIR)/xzgv.xpm
+	chmod 644 $(DESKTOPDIR1)/xzgv.desktop
+	chmod 644 $(DESKTOPDIR2)/xzgv.desktop
+	chmod 644 $(PIXMAPDIR)/xzgv.xpm
 
 uninstall:
 	$(RM) $(BINDIR)/xzgv
+	$(RM) $(DESKTOPDIR1)/xzgv.desktop
+	$(RM) $(DESKTOPDIR2)/xzgv.desktop
+	$(RM) $(PIXMAPDIR)/xzgv.xpm
 
 clean:
 	$(RM) *~ *.o xzgv
@@ -54,7 +65,7 @@
 main.o: main.c backend.h resizepic.h rcfile.h filedetails.h gotodir.h \
  updatetn.h confirm.h misc.h copymove.h rename.h help.h dir_icon.xpm \
  dir_icon_small.xpm file_icon.xpm file_icon_small.xpm \
- icon-48.xpm main.h
+ icon-48.xpm xzgv.desktop main.h
 misc.o: misc.c misc.h
 rcfile.o: rcfile.c getopt.h rcfile.h rcfile_opt.h rcfile_var.h \
  rcfile_short.h

=== debian/changelog ===
xzgv (0.9.2-2) unstable; urgency=medium

  * Convert debian/rules file to use dh
  * Update the debhelper compatibility level to 12
  * Update Debian policy compliance to 4.4.0

 -- Theodore Y. Ts'o <tytso@mit.edu>  Sun, 04 Aug 2019 11:59:17 -0400

xzgv (0.9.2-1) unstable; urgency=medium

  * New upstream version
  * Added option to show only image files in the selector (Closes: #457253)
  * Fixed Exif orientation (Closes: #610568)
  * Fixed thumbnails not showing up when zoom is enabled
    (Closes: #214112, #379869)
  * Fixed segfault when going to next image after closing the current one
    (Closes: #766954)
  * Update to debhelper compatibility level 12
  * Update Debian Policy Standards Version to 4.3.0
  * Fix zwgc man page

 -- Theodore Y. Ts'o <tytso@mit.edu>  Tue, 05 Mar 2019 23:06:18 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: graphics
 Priority: optional
 Maintainer: Theodore Y. Ts'o <tytso@mit.edu>
-Build-Depends: debhelper (>= 5), gawk, libgtk2.0-dev, texinfo, install-info
-Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 12), gawk, libexif-dev, libgtk2.0-dev, texinfo, install-info
+Standards-Version: 4.4.0
 
 Package: xzgv
 Architecture: any

=== debian/rules ===
#! /usr/bin/make -f

# export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS ?= hardening=+all

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

PATH=/bin:/usr/bin:/usr/sbin

CFLAGS += $(shell pkg-config --cflags gtk+-2.0) \
	$(shell pkg-config --cflags gdk-pixbuf-2.0) \
	$(shell pkg-config --cflags x11)
LDFLAGS += -lgtk-x11-2.0 -lgdk-x11-2.0 -lgdk_pixbuf-2.0 -lgobject-2.0 \
	-lglib-2.0 -lgio-2.0 -lX11 -lexif

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- CFLAGS="$(CPPFLAGS) $(CFLAGS)" LDFLAGS="$(LDFLAGS)" GZIP=-9n all info

override_dh_auto_install:
	$(MAKE) install PREFIX=$(CURDIR)/debian/xzgv/usr INFODIR=$(CURDIR)/debian/xzgv/usr/share/info MANDIR=$(CURDIR)/debian/xzgv/usr/share/man/man1 INFO_DIR_UPDATE=no
	cp $(CURDIR)/debian/xzgv.xpm $(CURDIR)/debian/xzgv/usr/share/pixmaps
	mkdir -p $(CURDIR)/debian/xzgv/usr/share/applications
	cp $(CURDIR)/debian/xzgv.desktop \
		$(CURDIR)/debian/xzgv/usr/share/applications
	chmod 644 $(CURDIR)/debian/xzgv/usr/share/applications/xzgv.desktop
	for i in $(CURDIR)/debian/xzgv-*.png ; do \
		a=$$(basename $$i | sed -e 's/xzgv-//' -e 's/.png//') ; \
		d=$(CURDIR)/debian/xzgv/usr/share/icons/hicolor/$${a}x$${a}/apps ; \
		echo installing $$d ; \
		mkdir -p $$d ; \
		cp $$i $$d/xzgv.png ; \
		chmod 644 $$d/xzgv.png ; \
	done
	rm -f $(CURDIR)/debian/xzgv/usr/share/info/dir*
